Return the total use and use for each commodity under a place for comparison Example calculating the current and previous ranges: Today is 2022-10-06 chartMonthsToExclude = 2, numMonths = 6, comparisonYearsAgo = 3 CurrentPeriodRange is 202203 - 202208 and PreviousPeriodRange is 201903 - 201908
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | Id of the place to lookup | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| chartMonthsToExclude | Optional, the number of months to exclude from intensity data, 0 includes all months including the current one. Defaults to the system setting otherwise 0. | integer (int32) | Optional |
| numMonths | Optional, the number of months of intensity data to include, the end month is respective of chartMonthsToExclude. Defaults to 12. | integer (int32) | Optional |
| comparisonYearsAgo | The comparisonYearsAgo is the number of years to go back to do the comparison. Defaults to 1. | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
PlaceDigestComparisonResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodities | Comparison values for each commodity | CommodityValueComparison[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityValueComparison properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| currentPeriodRange | PeriodRange | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| floorAreaUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| intensity | ValueComparison | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ValueComparison properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| previousPeriodRange | PeriodRange | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | ValueComparison | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ValueComparison properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "commodities": [
{ "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "currentValue": { "unit": {}, "value": 1.0
}, "previousValue": { "unit": {}, "value": 1.0
}
}
], "currentPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "floorAreaUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "intensity": { "currentValue": { "unit": {}, "value": 1.0
}, "previousValue": { "unit": {}, "value": 1.0
}
}, "previousPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "total": { "currentValue": { "unit": {}, "value": 1.0
}, "previousValue": { "unit": {}, "value": 1.0
}
}
}